Confirm the current user subscription
Validates the current user's subscription to the Cloud Volumes ONTAP product in the Azure marketplace. Use this to confirm access to the product for deployment or management tasks.
HTTP method and endpoint
POST /azure/vsa/metadata/validate-subscribed-to-ontap-cloud
Usage notes
Validates that the current user is subscribed to the Cloud Volumes ONTAP product in the Azure marketplace.
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
cloudProviderAccount |
string |
False |
|
region |
string |
True |
|
subscriptionId |
string |
False |
|
vsaMetadata |
True |
Example request
{
"cloudProviderAccount": "string",
"region": "string",
"subscriptionId": "string",
"vsaMetadata": {
"capacityPackageName": "string",
"instanceType": "string",
"keyStoneSubscription": "string",
"licenseType": "string",
"ontapVersion": "string",
"platformSerialNumber": "string",
"providedLicense": "string"
}
}
Error
Status: Default, Default response
| Name | Type | Required | Description |
|---|---|---|---|
failureInfo |
string |
False |
|
isSubscribed |
boolean |
True |
Example error response
{
"failureInfo": "string",
"isSubscribed": false
}
Definitions
See Definitions
VsaMetadataRequest
| Name | Type | Required | Description |
|---|---|---|---|
capacityPackageName |
string |
False |
Optional capacity-based package |
instanceType |
string |
True |
Instance type |
keyStoneSubscription |
string |
False |
Keystone subscription ID |
licenseType |
string |
True |
License type |
ontapVersion |
string |
True |
ONTAP version |
platformSerialNumber |
string |
False |
Optional platform serial number |
providedLicense |
string |
False |
Optional provided license |
useLatestVersion |
boolean |
False |
Use the latest version |